#include <bits/stdc++.h>
using namespace std;
string m,s;
bool provera(){
  for(int i=0;i<=s.size()-1;i++){
      if(m[i]!='a')return false;
  }
  return true;
}
int main(){
  cin>>m>>s;
  int br=0;
  if(s=="a"){
    for(int i=0;i<=m.size()-1;i++){
        if(m[i]=='a'){
          br++;
          m[i]='*';
        }
    }
    cout<<br<<endl;
    cout<<m<<endl;
    return 0;
  }
  if(provera()){
     int duzinas=s.size();
     int duzinam=m.size();
     int br=0;
     for(int i=0;i<=duzinam;i++){
         if(m[i]=='a'){
            if(br<duzinas-1){
               cout<<"a"<<endl;
               br++;
            }
            else cout<<"*"<<endl;
         }
         else cout<<m[i]<<endl;
     }


  }

  return 0;
}